diff --git a/plugins/encryption_methods/mcrypt_aes_cbc.inc b/plugins/encryption_methods/mcrypt_aes_cbc.inc
index c3402ad..f8dff09 100644
--- a/plugins/encryption_methods/mcrypt_aes_cbc.inc
+++ b/plugins/encryption_methods/mcrypt_aes_cbc.inc
@@ -53,7 +53,12 @@ function _encrypt_encryption_methods_mcrypt_aes_cbc($op, $text, $key, $options =
   if ($op == 'decrypt') {
     // Base64 decode unless disabled.
     if (!$disable_base64) {
-      $text = base64_decode($text);
+      // test if we really have to do with a base64 string
+      if (_encrypt_check_base64($text)) {
+        $text = base64_decode($text);
+      } else {
+        return $text;
+      }
     }
 
     // Extract the HMAC.
@@ -149,6 +154,30 @@ function _encrypt_encryption_methods_mcrypt_aes_cbc($op, $text, $key, $options =
 }
 
 /**
+ * Function to check if we have to do with plain text or a base64 encryption
+ *
+ * Returns false when we it's plain text, returns true if it's base64
+ *
+ * @param $text
+ * @return bool
+ */
+function _encrypt_check_base64($text){
+  // the encode - decode base64 check
+  if(base64_encode(base64_decode($text, true)) !== $text){
+    return false;
+    // a preg match when validating true it is probably a base64
+  } else if(preg_match('%^[a-zA-Z0-9/+]*={0,2}$%', $string) != 1){
+    return false;
+    // ir the strlen == 1 it's not a base 64
+    // if the strlen is smaller than 128 and the decoded result looks like a word or sentence it's likely not a base64
+  } else if(strlen($text) == 1 || (strlen($text) < 128 && preg_match('%^[a-zA-Z0-9]{1,}[-a-zA-Z0-9_ ]{*}[a-zA-Z0-9/.zou h ]{1,}$%', base64_decode($text)) == false)){
+    return false;
+  } else {
+    return true;
+  }
+}
+
+/**
  * Generate a hash.
  *
  * @param string $hash_function Hash function
